org.eclipse.jdt.debug.core

## Interface IJavaMethodEntryBreakpoint

All Superinterfaces:
  IAdaptable, IBreakpoint, IJavaBreakpoint, IJavaLineBreakpoint, ILineBreakpoint, ITriggerPoint

    public interface IJavaMethodEntryBreakpoint
    extends IJavaLineBreakpoint

A method entry breakpoint suspends execution on the first executable line of a method when entered. Entry breakpoints can only be installed in methods that have executable code (i.e. do not work in native methods).

This breakpoint provides a subset of the function provided by `IJavaMethodBreakpoint` - i.e. break on enter. The implementation of this breakpoint is more efficient than the general method breakpoint, as the implementation is based on line breakpoints and does not require method enter/exit tracing in the target VM.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`SUSPEND_THREAD, SUSPEND_VM`

### Fields inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`TRIGGERPOINT`

### Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getMethodName()` Returns the name of the method this breakpoint suspends execution in.
`String` `getMethodSignature()` Returns the signature of the method this breakpoint suspends execution in.

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint

`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`addBreakpointListener, addInstanceFilter, getBreakpointListeners, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeBreakpointListener, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

### Methods inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`isTriggerPoint, setTriggerPoint`

### Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint

`getCharEnd, getCharStart, getLineNumber`

### Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getMethodName

    String getMethodName()
                  throws CoreException

Returns the name of the method this breakpoint suspends execution in.

Returns:
  the name of the method this breakpoint suspends execution in
Throws:
  `CoreException` - if unable to access the property from this breakpoint's underlying marker

#### getMethodSignature

    String getMethodSignature()
                       throws CoreException

Returns the signature of the method this breakpoint suspends execution in.

Returns:
  the signature of the method this breakpoint suspends execution in
Throws:
  `CoreException` - if unable to access the property from this breakpoint's underlying marker